<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="md_color_button_text">@color/colorAccent</item>
    </style>

    <style name="AppTheme.Light" parent="AppTheme">
        <item name="themeName">light</item>
        <item name="themePrimary">@color/themePrimaryLight</item>
        <item name="themeSecondary">@color/themeSecondaryLight</item>
        <item name="textPrimary">@color/textPrimaryLight</item>
        <item name="textSecondary">@color/textSecondaryLight</item>
        <item name="android:textColor">@color/textPrimaryLight</item>
        <item name="android:textColorPrimary">@color/textPrimaryLight</item>
        <item name="android:textColorHint">@color/textSecondaryLight</item>
        <item name="dividerColor">@color/dividerLight</item>
        <item name="md_background_color">@color/themeSecondaryLight</item>
        <item name="md_color_content">@color/textPrimaryLight</item>
    </style>

    <style name="AppTheme.Dark" parent="AppTheme">
        <item name="themeName">dark</item>
        <item name="themePrimary">@color/themePrimaryDark</item>
        <item name="themeSecondary">@color/themeSecondaryDark</item>
        <item name="textPrimary">@color/textPrimaryDark</item>
        <item name="textSecondary">@color/textSecondaryDark</item>
        <item name="android:textColor">@color/textPrimaryDark</item>
        <item name="android:textColorPrimary">@color/textPrimaryDark</item>
        <item name="android:textColorHint">@color/textSecondaryDark</item>
        <item name="dividerColor">@color/dividerDark</item>
        <item name="md_background_color">@color/themeSecondaryDark</item>
        <item name="md_color_content">@color/textPrimaryDark</item>

        <!-- change on click indicator color for manually set components -->
        <item name="colorControlHighlight">@color/controlHighlightDark</item>
    </style>

    <style name="AppTheme.Black" parent="AppTheme.Dark">
        <item name="themeName">black</item>
        <item name="themePrimary">@color/themePrimaryBlack</item>
        <item name="themeSecondary">@color/themePrimaryBlack</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar"/>
    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Light"/>

    <style name="SplashTheme" parent="Theme.AppCompat.NoActionBar">
        <item name="android:windowBackground">@drawable/background_splash</item>
    </style>

    <style name="LicensesDialogTheme.Dark" parent="Theme.AppCompat.Dialog">
        <item name="android:windowBackground">@color/themeSecondaryDark</item>
    </style>

</resources>
